> For the complete documentation index, see [llms.txt](https://hyperliquid-ohlc.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://hyperliquid-ohlc.gitbook.io/api-docs/rest-api/trader-metrics/trading-metrics-calendar.md).

# Trading Metrics Calendar

## Get daily trading metrics for a trader

> Retrieve daily aggregated trading metrics for a trader over a specified time range. Defaults to the last 365 days if no timestamps are provided.

```json
{"openapi":"3.1.0","info":{"title":"BlockLiquidity API Service","version":"1.0.0"},"servers":[{"url":"https://data.blockliquidity.xyz"}],"security":[{"HTTPBearer":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"}},"schemas":{"TraderCalendarResponse":{"properties":{"data":{"items":{"$ref":"#/components/schemas/TraderCalendarEntry"},"type":"array","title":"Data"}},"type":"object","required":["data"],"title":"TraderCalendarResponse"},"TraderCalendarEntry":{"properties":{"timestamp":{"type":"integer","title":"Timestamp"},"total_trades":{"type":"integer","title":"Total Trades","default":0},"closed_trades":{"type":"integer","title":"Closed Trades","default":0},"profit_closed_trades":{"type":"integer","title":"Profit Closed Trades","default":0},"crossed_trades":{"type":"integer","title":"Crossed Trades","default":0},"short_long_flip_trades":{"type":"integer","title":"Short Long Flip Trades","default":0},"long_short_flip_trades":{"type":"integer","title":"Long Short Flip Trades","default":0},"vlm":{"type":"number","title":"Vlm","default":0},"net_pnl":{"type":"number","title":"Net Pnl","default":0},"avg_pnl_per_trade":{"type":"number","title":"Avg Pnl Per Trade","default":0},"win_rate":{"type":"number","title":"Win Rate","default":0}},"type":"object","required":["timestamp"],"title":"TraderCalendarEntry"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/trader/{address}/calendar":{"get":{"tags":["Trader Rankings"],"summary":"Get daily trading metrics for a trader","description":"Retrieve daily aggregated trading metrics for a trader over a specified time range. Defaults to the last 365 days if no timestamps are provided.","operationId":"get_trader_calendar_v1_trader__address__calendar_get","parameters":[{"name":"address","in":"path","required":true,"schema":{"type":"string","description":"Trader wallet address","title":"Address"},"description":"Trader wallet address"},{"name":"start_timestamp","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"description":"Start timestamp in Unix epoch milliseconds","title":"Start Timestamp"},"description":"Start timestamp in Unix epoch milliseconds"},{"name":"end_timestamp","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","minimum":0},{"type":"null"}],"description":"End timestamp in Unix epoch milliseconds","title":"End Timestamp"},"description":"End timestamp in Unix epoch milliseconds"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TraderCalendarResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```
